API ReferenceapicommunityDELETE /v1/comments/{comment_id}/reactions/{kind}

DELETE /v1/comments/\{comment_id\}/reactions/\{kind\}

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • comment_id (string) required
  • kind (string) required

Responses

200 Comment reaction removed

{
  "type": "object",
  "properties": {
    "score": {
      "type": "integer"
    },
    "reactionCounts": {
      "type": "object",
      "additionalProperties": {
        "type": "integer"
      }
    },
    "viewerReactions": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "upvote",
          "downvote",
          "heart",
          "fire",
          "brain",
          "hands",
          "eyes"
        ]
      }
    },
    "active": {
      "type": "boolean"
    }
  },
  "required": [
    "score",
    "reactionCounts",
    "viewerReactions",
    "active"
  ]
}

404 Comment not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

429 Rate limit exceeded

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X DELETE https://community.platform.loop.health/v1/comments/{comment_id}/reactions/{kind} \
  -H "Authorization: Bearer $ACCESS_TOKEN"